#![allow(unused)]

use std::{
    fs::{File, OpenOptions},
    path::PathBuf,
};

pub mod cli;
pub mod command_builder;
pub mod scripts;

// NOTE: stolen from https://docs.rs/debug_print/latest/debug_print/
#[macro_export]
macro_rules! debug_eprintln {
    ($($arg:tt)*) => (#[cfg(debug_assertions)] eprintln!($($arg)*));
}

fn safe_create_file(path: PathBuf) -> Result<File, std::io::Error> {
    OpenOptions::new().write(true).create_new(true).open(path)
}

fn create_file(path: PathBuf) -> Result<File, std::io::Error> {
    OpenOptions::new().write(true).create(true).open(path)
}
